Package org.eclipse.net4j.util.ui.views

## Class MultiViewersView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.net4j.util.ui.views.MultiViewersView

- All Implemented Interfaces:
    `IAdaptable`, `IExecutableExtension`, `IPersistable`, `IViewPart`, `IWorkbenchPart`, `IWorkbenchPart2`, `IWorkbenchPart3`, `ISetSelectionTarget`, `IWorkbenchPartOrientation`
  Direct Known Subclasses:
    `MasterDetailsView`

      public abstract class MultiViewersView
      extends ViewPart
      implements ISetSelectionTarget

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `MultiViewersView.MessageType` |

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

      `PROP_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiViewersView()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `closeView()` |
    `void` | `createPartControl​(Composite parent)` |
    `protected abstract Control` | `createUI​(Composite parent)` |
    `protected void` | `doubleClicked​(java.lang.Object object)` |
    `protected void` | `fillContextMenu​(IMenuManager manager, StructuredViewer viewer, IStructuredSelection selection)` |
    `protected void` | `fillLocalPullDown​(IMenuManager manager)` |
    `protected void` | `fillLocalToolBar​(IToolBarManager manager)` |
    `StructuredViewer` | `getCurrentViewer()` |
    `protected Display` | `getDisplay()` |
    `Shell` | `getShell()` |
    `void` | `refreshElement​(java.lang.Object element, boolean updateLabels)` |
    `void` | `refreshViewer​(boolean updateLabels)` |
    `void` | `revealElement​(java.lang.Object element)` |
    `void` | `selectReveal​(ISelection selection)` |
    `void` | `setCurrentViewer​(StructuredViewer viewer)` |
    `void` | `setFocus()` |
    `protected void` | `showMessage​(java.lang.String message)` |
    `protected boolean` | `showMessage​(MultiViewersView.MessageType type, java.lang.String message)` |
    `void` | `updateLabels​(java.lang.Object element)` |

    - ### Methods inherited from class org.eclipse.ui.part.ViewPart

      `checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

    - ### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

      `addPartPropertyListener, addPropertyListener, dispose, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

      `addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

- - ### Constructor Detail

    - #### MultiViewersView

          public MultiViewersView()

  - ### Method Detail

    - #### getShell

          public Shell getShell()

    - #### getCurrentViewer

          public StructuredViewer getCurrentViewer()

    - #### setCurrentViewer

          public void setCurrentViewer​(StructuredViewer viewer)

    - #### setFocus

          public void setFocus()

      Specified by:
        `setFocus` in interface `IWorkbenchPart`
      Specified by:
        `setFocus` in class `WorkbenchPart`

    - #### refreshViewer

          public void refreshViewer​(boolean updateLabels)

    - #### refreshElement

          public void refreshElement​(java.lang.Object element,
                                     boolean updateLabels)

    - #### updateLabels

          public void updateLabels​(java.lang.Object element)

    - #### revealElement

          public void revealElement​(java.lang.Object element)

    - #### selectReveal

          public void selectReveal​(ISelection selection)

      Specified by:
        `selectReveal` in interface `ISetSelectionTarget`

    - #### closeView

          public void closeView()

    - #### createPartControl

          public final void createPartControl​(Composite parent)

      Specified by:
        `createPartControl` in interface `IWorkbenchPart`
      Specified by:
        `createPartControl` in class `WorkbenchPart`

    - #### createUI

          protected abstract Control createUI​(Composite parent)

    - #### doubleClicked

          protected void doubleClicked​(java.lang.Object object)

    - #### fillContextMenu

          protected void fillContextMenu​(IMenuManager manager,
                                         StructuredViewer viewer,
                                         IStructuredSelection selection)

    - #### fillLocalPullDown

          protected void fillLocalPullDown​(IMenuManager manager)

    - #### fillLocalToolBar

          protected void fillLocalToolBar​(IToolBarManager manager)

    - #### showMessage

          protected final void showMessage​(java.lang.String message)

    - #### showMessage

          protected final boolean showMessage​(MultiViewersView.MessageType type,
                                              java.lang.String message)

    - #### getDisplay

          protected final Display getDisplay()